using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using ANSCENTER;
namespace ANSDLDOTNOT_UnitTest
{
    internal class Program
    {
        static void Main(string[] args)
        {
            ANSDLDOTNET ansc = new ANSDLDOTNET();
            string liceneKey = "";
            string modelFilePath = "C:\\Programs\\TrainingWorkingStation\\Projects\\CrowdHuman\\Models\\ANS_PeopleHead(CPU)_2.zip";
            string modelFileZipPassword = "";
            float detectionScore = 0.5f;
            //1. Initialise the ANSDL Engine
            string result = ansc.Init(liceneKey, modelFilePath, modelFileZipPassword, detectionScore);
            Console.WriteLine(result);

            //2. Run Inference on an image
            string imageFilePath = "C:\\Programs\\TrainingWorkingStation\\Projects\\CrowdHuman\\data\\273271,1b9330008da38cd6.jpg";
            string inferenceResult = ansc.RunInferenceFromImage(imageFilePath);
            Console.WriteLine("Inference Result: " + inferenceResult);

            //3. Release the ANSDL Engine
            int releaseResult = ansc.Release();
            Console.WriteLine("Release Result: " + releaseResult);
            Console.ReadLine();
        }
    }
}
